﻿@model Tuple<ARGNSCSMaterial, UsersSettingView, CostSheetComboSAP>

@{
    string mTrId = "TR_Material" + Model.Item1.LineId;
    string mItemCode = "Material_ItemCode" + Model.Item1.LineId;
    string mItemName = "Material_ItemName" + Model.Item1.LineId;
    string mLineId = "Material_LineId" + Model.Item1.LineId;
    string mQuantity = "Material_Quantity" + Model.Item1.LineId;
    string mCxT = "Material_CxT" + Model.Item1.LineId;
    string mCxS = "Material_CxS" + Model.Item1.LineId;
    string mCxC = "Material_CxC" + Model.Item1.LineId;
    string mCxGT = "Material_CxGT" + Model.Item1.LineId;
    string mUoM = "Material_UoM" + Model.Item1.LineId;
    string mWh = "Material_Wh" + Model.Item1.LineId;
    string mDistRule = "Material_DistRule" + Model.Item1.LineId;
    string mPList = "Material_PList" + Model.Item1.LineId;
    string mCurrency = "Material_Currency" + Model.Item1.LineId;
    string mUnitP = "Material_UnitP" + Model.Item1.LineId;
    string mTotal = "Material_Total" + Model.Item1.LineId;
    string mPvendor = "Material_Pvendor" + Model.Item1.LineId;
    string mRemarks = "Material_Remarks" + Model.Item1.LineId;
    string mIsNew = "Material_IsNew" + Model.Item1.LineId;

    <tr id='@mTrId'>
        <td style="width:50px">
            <button onclick="DeleteRow('@mTrId')" type="button" class="btn btn-primary btn-xs"><span class="glyphicon glyphicon-trash"></span></button>
            <input type="hidden" id="@mLineId" value="@Model.Item1.LineId" />
        </td>
        <td style="width:240px;  display:block;">
            <div class="col-xs-8">
                <input id='@mItemCode' class="form-control remarksCostSheet" value='@Model.Item1.U_ItemCode' disabled="disabled" />
            </div>
            <div class="col-xs-4">
                <button type="button" class="btn btn-primary btn-xs margin-left" data-toggle="modal" data-target="#ModalItems" onclick="GetItemsModel(@Model.Item1.LineId, 'Materials')"><span class="glyphicon glyphicon-search"></span></button>
            </div>
        </td>
        <td><input id='@mItemName' class="form-control remarksCostSheet" value='@Model.Item1.U_ItemName' disabled="disabled" /></td>
        <td><input id='@mQuantity' type="number" class="form-control quantityDocuments" value='@(Model.Item1.U_Quantity != null ? Math.Round((decimal)Model.Item1.U_Quantity, 2).ToString() : "")' onchange="ChangeValueMaterial(@Model.Item1.LineId);" /></td>
        <td><input id="@mCxT" name="@mCxT" @(Model.Item1.U_CxT == "Y" ? "checked=\"checked\"" : "") onchange="$('#@mCxT').prop('checked') == true ? $('#@mCxT').attr('checked','checked') : $('#@mCxT').removeAttr('checked')" type="checkbox"></td>
        <td><input id="@mCxGT" name="@mCxGT" @(Model.Item1.U_CxGT == "Y" ? "checked=\"checked\"" : "") onchange="$('#@mCxGT').prop('checked') == true ? $('#@mCxGT').attr('checked','checked') : $('#@mCxGT').removeAttr('checked')" type="checkbox"></td>
        <td><input id="@mCxS" name="@mCxS" @(Model.Item1.U_CxS == "Y" ? "checked=\"checked\"" : "") onchange="$('#@mCxS').prop('checked') == true ? $('#@mCxS').attr('checked','checked') : $('#@mCxS').removeAttr('checked')" type="checkbox"></td>
        <td><input id="@mCxC" name="@mCxC" @(Model.Item1.U_CxC == "Y" ? "checked=\"checked\"" : "") onchange="$('#@mCxC').prop('checked') == true ? $('#@mCxC').attr('checked','checked') : $('#@mCxC').removeAttr('checked')" type="checkbox"></td>
        <td><input id='@mUoM' class="form-control uomCostSheet" value='@Model.Item1.U_UoM' /></td>

        <td><input id='@mWh' class="form-control autoComplete" value="@(Model.Item1.U_Whse != null ? Model.Item1.U_Whse : Model.Item2.DftWhs)" title="type &quot;a&quot;"></td>
        <td><input id='@mDistRule' class="form-control autoComplete" value='@(Model.Item1.U_OcrCode != null ? Model.Item1.U_OcrCode : Model.Item2.DftDistRule)' title="type &quot;a&quot;" /></td>
        @switch (Model.Item1.U_IssueMth)
            {
                case "B":
                <td>Backflush</td>
                break;
            case "M":
                <td>Manual</td>
                break;
            default:
                <td></td>
                break;
        }
        <td>
            @Html.DropDownList(@mPList, new SelectList(
                                    Model.Item3.PriceList,
                                    "ListNum",
                                    "ListName", Model.Item1.U_PList), new { @Id = @mPList, @class = "form-control priceListCostSheet" })
        </td>
        <td>
            @Html.DropDownList(@mCurrency, new SelectList(
                                    Model.Item3.CurrencyList,
                                    "CurrCode",
                                    "CurrName", Model.Item1.U_Currency), new { @Id = @mCurrency, @class = "form-control priceListCostSheet", @onchange = "ChangeValueMaterial(" + Model.Item1.LineId + ");" })
        </td>
        <td><input id='@mUnitP' type="number" class="form-control priceDocuments" value='@(Model.Item1.U_UPrice != null ? Math.Round((decimal)Model.Item1.U_UPrice, 2).ToString() : "")' onchange="ChangeValueMaterial(@Model.Item1.LineId);" /></td>
        <td><input id='@mTotal' class="form-control priceDocuments" disabled="disabled" /></td>
        <td>
            @Html.DropDownList(mPvendor, new SelectList(
                                    Model.Item3.VendorList,
                                            "CardCode",
                                            "CardName", Model.Item1.U_PVendor), new { @Id = mPvendor, @class = "form-control priceListCostSheet" })
        </td>
        <td><input id='@mRemarks' class="form-control remarksCostSheet" value='@Model.Item1.U_Comments' /></td>
        <td>@Model.Item1.U_TreeType</td>
        <td style="display:none;">
            <input id="@mIsNew" value="@(Model.Item1.IsNew ? "true" : "false")" />
        </td>
        @{
            if (Model.Item1.MappedUdf != null && Model.Item1.MappedUdf.Count > 0)
            {
                foreach (var DictRow in Model.Item1.MappedUdf.OrderBy(c => c.UDFName))
                {
                    <td>
                        @if (DictRow.ListUFD1.Count > 0)
                        {
                            @Html.DropDownList(DictRow.UDFName, new SelectList(
                                    DictRow.ListUFD1,
                                    "FldValue",
                                    "Descr", DictRow.Value), new { @Id = "LINEUDF_Material_" + DictRow.UDFName + Model.Item1.LineId, @Name = "LINEUDF_Material_" + DictRow.UDFName, @class = "form-control UDFField" })
                        }
                        else
                        {
                            <input id='LINEUDF_Material_@DictRow.UDFName@Model.Item1.LineId' name="LINEUDF_Material_@DictRow.UDFName" class="form-control UDFField" value='@DictRow.Value' />
                        }
                    </td>
                }
            }
        }
    </tr>
        <script type="text/javascript">
            $("#" + '@mWh').autocomplete({
                source: WhItems
            });
            $("#" + '@mDistRule').autocomplete({
                source: DistrRuleItems
            });
        </script>


}